Subject: bug#67650: [PATCH] ; Hide completion preview when switching windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Dec 2023 18:43:58 +0200

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 06 Dec 2023 14:33:01 +0100
> 
> > why does it matter whether post-command-hook runs _after_ switching to
> > another buffer?
> 
> Since then the value of `post-command-hook` is no longer the
> buffer-local value you had in the buffer where you invoked the command,
> and in our case that buffer-local value is the one that includes
> `completion-preview--post-command`, where we would update (or dismiss)
> the completion preview for that (original) buffer.

OK, I understand.  However, it means that now we will not only slow
down every command in the buffer that has the completion-preview mode
turned on, but we will also slow down every redisplay cycle, even if
the buffer was not switched.  I think we should find a better way of
doing this.  How about that idle timer idea we discussed earlier?  I'm
beginning to like it more and more, and I have a reason to believe
this is not the end of more and more hooks you'd need to add if we
stay with this design.